Product: dmu18_Bootes

Version: 1.0

Author: María Campos

Fields: Bootes

Selection filter:

Rights: N/A

Acknowledgements: N/A

Related products: Bootes_PACS100_v0.9.fits, Bootes_PACS160_v0.9.fits, ALLWISE_20190116_Bootes.fits, EEF_grn_20.txt, EEF_red_20.txt 